Bug 859778 - Update requirements for RHEVM reports?
Update requirements for RHEVM reports?
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Hildred
Depends On:
  Show dependency treegraph
Reported: 2012-09-23 21:33 EDT by Stephen Gordon
Modified: 2014-03-25 03:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 12:20:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-09-23 21:33:58 EDT
Description of problem:

In the version of the Administration Guide released for beta 1 we listed the following requirements for JasperSoft reports clients [1]:

"""The Red Hat Enterprise Virtualization Manager Reports tool supports the following browsers:

    In Red Hat Enterprise Linux 5.7 - Firefox 3.6

    In Red Hat Enterprise Linux 6 - Firefox 3.6

    In Windows XP - Internet Explorer 8

    In Windows 7 - Internet Explorer 8 and Internet Explorer 9

    In Windows Server 2008 - Internet Explorer 8 and Internet Explorer 9"""

I am not 100% sure how applicable these are any more but given the integration of reporting functionality with the Administration Portal I think these requirements may need to be updated.

The Administration Portal requirements have been updated - it now requires FF 10+ or IE 8+. The change to the FF requirement also means the RHEL version requirements increase to 5.8+ and 6.2+ because prior releases don't have FF10 (5.8 and 6.2 are EUS releases which have been updated to include it).

[1] https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Virtualization/3.1-Beta/html/Administration_Guide/chap-Reports_and_Dashboards.html#Jasper_reports_system_requirements

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Stephen Gordon 2012-09-23 21:35:38 EDT
Hi Yaniv,

Can you please take a look at these requirements and let us know what you think we should change?


Comment 2 Stephen Gordon 2012-09-23 21:38:07 EDT
(In particular - should the requirements for reporting match those for the Admin Portal. If not, what requirements should be listed for reporting clients)
Comment 3 Tim Hildred 2012-09-28 04:05:01 EDT
Just a reminder that we're packaging this on the 3rd of October. 

We pre-emptively made the requirements match in the documentation. The Jasper Reports Portal now requires FF10+ just like the Administration Portal does.
Comment 5 Yaniv Lavi 2012-10-09 06:30:07 EDT
Why was everything changed from rhevm reports to jasperreports in the guide (it wasn't like that last version)?
The basic system requirments are also changed. Users should add additional memory to JBoss. 

Comment 11 Tim Hildred 2012-10-29 21:56:54 EDT
Hey, I'm moving this back to ON_QA because I haven't got the required information and I did update the document with updated browser requirements. 

John, if that won't cut it, then I'll close this bug with insufficient data.
Comment 12 Tim Hildred 2012-10-29 22:01:54 EDT
Comment 15 Barak 2012-10-30 09:15:11 EDT
As I understand correctly, this BZ started with supported browsers, and now is about the  memory adjustments/requirements for the jboss running the reports server.

About the memory- basically as stated above the reports are installed (for 3.1 as well) on the same container as the rhevm itself so I don't think there should be separate requirements for the reports. but when/if users encounter memory/performance issues they should be directed to a KB instructing them how to increase the JVM memory.

About the browsers - jasper server supports a bigger variety of browser than RHEVM, so it should not be a problem.

Note You need to log in before you can comment on or make changes to this bug.